#!/usr/bin/env python
# -*- coding: utf-8 -*-
#This module is the part of LINXTL 
# Author is grateful to people who constantly help in developing of the LinXTL:
# Michel Simard; Theirry Moris; Hein Schaper; Government of Canada and University of Montreal for financial support 
# of my Ph.D theses.
# License: GPL
#GNU GENERAL PUBLIC LICENSE
#Version 3, 29 June 2007
#Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>
#Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.
#Preamble
#The GNU General Public License is a free, copyleft license for software and other kinds of works.
#The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.
#When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.
#To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.
#For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.
#Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.
#For the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.
#Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.
#Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.
import wx, sys, os
global path
path = sys.path[0]
# begin wxGlade: extracode
# end wxGlade
# external version 3

class cexternal(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: cexternal.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
          ###############################################################
        self.path=path
        if os.path.exists(self.path+"/user/external")==True: 
            exconfig = open(self.path+'/user/external', 'r')
            self.exconfig  = exconfig.read()
            exconfig.close()
        else:
            exconfig=open(self.path +'/user/external', 'w')
            exconfig.writelines("\n"*50)
            exconfig.close()
          ###############################################################
        self.notebook_1 = wx.Notebook(self, -1, style=0)
        self.notebook_1_pane_1 = wx.Panel(self.notebook_1, -1)
        self.xl = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xl = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xl_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XL(Shelxl)")
        self.sizer_xl_staticbox.SetForegroundColour((255,0,0))
        
        self.xh = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xh = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xh_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XH")
        self.sizer_xh_staticbox.SetForegroundColour((255,0,0))
        
        self.xs = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xs = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xs_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XS(Shelxs)")
        self.sizer_xs_staticbox.SetForegroundColour((255,0,0))
        
        self.xprep = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xprep = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xprep_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XPREP")
        self.sizer_xprep_staticbox.SetForegroundColour((255,0,0))
        
        self.xm = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xm = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xm_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XM(Shelxd)")
        self.sizer_xm_staticbox.SetForegroundColour((255,0,0))
        
        self.xpro = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xpro = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xpro_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XPRO")
        self.sizer_xpro_staticbox.SetForegroundColour((255,0,0))
        
        self.xp = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xp = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xp_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XP(XPX)")
        self.sizer_xp_staticbox.SetForegroundColour((255,0,0))
        
        self.xe = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_xe = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_xe_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "XE(Shelxe)")
        self.sizer_xe_staticbox.SetForegroundColour((255,0,0))
        
        self.platon = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_platon = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_platon_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "Platon")
        self.sizer_platon_staticbox.SetForegroundColour((255,0,0))
        
        self.sir = wx.TextCtrl(self.notebook_1_pane_1, -1, "")
        self.Open_sir = wx.Button(self.notebook_1_pane_1, -1, "Browse")
        self.sizer_sir_staticbox = wx.StaticBox(self.notebook_1_pane_1, -1, "Sir")
        self.sizer_sir_staticbox.SetForegroundColour((255,0,0))
        
        self.notebook_1_pane_2 = wx.Panel(self.notebook_1, -1)
        self.xcif = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_xcif = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_xcif_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "XCIF")
        self.sizer_xcif_staticbox.SetForegroundColour((255,0,0))
        
        self.cellnow = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_cellnow = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_cellnow_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "CELL_NOW")
        self.sizer_cellnow_staticbox.SetForegroundColour((255,0,0))
        
        self.sadabs = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_sadabs = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_sadabs_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "SADABS")
        self.sizer_sadabs_staticbox.SetForegroundColour((255,0,0))
        
        self.twinabs = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_twinabs = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_twinabs_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "TWINABS")
        self.sizer_twinabs_staticbox.SetForegroundColour((255,0,0))
        
        self.publcif = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_publcif = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_publcif_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "PUBLCIF")
        self.sizer_publcif_staticbox.SetForegroundColour((255,0,0))
        
        self.xshell5 = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_oldxshell = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_xshell_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "XSHELL 5 (via WINE on linux)")
        self.sizer_xshell_staticbox.SetForegroundColour((255,0,0))
        
        self.xshell6 = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_xshell6 = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_xshell6_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "XSHELL6")
        self.sizer_xshell6_staticbox.SetForegroundColour((255,0,0))
        
        self.olex = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_olex = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_olex_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "OLEX")
        self.sizer_olex_staticbox.SetForegroundColour((255,0,0))
        
        self.xc = wx.TextCtrl(self.notebook_1_pane_2, -1, "")
        self.Open_xc = wx.Button(self.notebook_1_pane_2, -1, "Browse")
        self.sizer_xc_staticbox = wx.StaticBox(self.notebook_1_pane_2, -1, "XC(Shelxc)")
        self.sizer_xc_staticbox.SetForegroundColour((255,0,0))
        self.notebook_1_pane_3 = wx.Panel(self.notebook_1, -1)
        self.shelxle = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_shelxle = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        self.sizer_shelxle_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "SHELXLE")
        self.sizer_shelxle_staticbox.SetForegroundColour((255,0,0))
        self.rasmol = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_rasmol = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        self.sizer_rasmol_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "RASMOL")
        self.sizer_rasmol_staticbox.SetForegroundColour((255,0,0))
        self.mercury = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_mercury = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        self.sizer_mercury_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "MERCURY")
        self.sizer_mercury_staticbox.SetForegroundColour((255,0,0))
        self.pymol = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_pymol = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        self.sizer_pymol_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "PyMOL")
        self.sizer_pymol_staticbox.SetForegroundColour((255,0,0))
        self.coot = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_coot = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        self.sizer_coot_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "COOT")
        self.sizer_coot_staticbox.SetForegroundColour((255,0,0))
        self.avogadro = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_avogadro = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        self.sizer_avogadro_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "Avogadro")
        self.sizer_avogadro_staticbox.SetForegroundColour((255,0,0))
        self.drawxtl = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_drawxtl = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        self.sizer_drawxtl_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "DrawXTL")
        self.sizer_drawxtl_staticbox.SetForegroundColour((255,0,0))
        self.jmol = wx.TextCtrl(self.notebook_1_pane_3, -1, "")
        self.Open_jmol = wx.Button(self.notebook_1_pane_3, -1, "Browse")
        
        self.sizer_jmol_staticbox = wx.StaticBox(self.notebook_1_pane_3, -1, "Jmol")
        self.sizer_jmol_staticbox.SetForegroundColour((255,0,0))
        
        self.notebook_1_pane_4 = wx.Panel(self.notebook_1, -1)
        self.ortep3 = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_ortep3 = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_ortep_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "ORTEP3 (via wine on Linux)")
        self.sizer_ortep_staticbox.SetForegroundColour((255,0,0))
        
        self.diamond = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_diamond = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_diamand_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "DIAMOND")
        self.sizer_diamand_staticbox.SetForegroundColour((255,0,0))
        
        self.Chimera = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_Chimera = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_Chimera_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "Chimera")
        self.sizer_Chimera_staticbox.SetForegroundColour((255,0,0))
        
        self.supersadabs = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_supersadabs = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_supersadabs_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "SuperSadabs (via WINE on Linux)")
        self.sizer_supersadabs_staticbox.SetForegroundColour((255,0,0))
        
        self.dirdif = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_dirdif = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_dirdif_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "DIRDIF (via WINE on Linux)")
        self.sizer_dirdif_staticbox.SetForegroundColour((255,0,0))
        
        self.enCifer = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_enCifer = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_encifer_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "enCIFer")
        self.sizer_encifer_staticbox.SetForegroundColour((255,0,0))
        
        self.xtal = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_xtal = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_xtal_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "Xtal")
        self.sizer_xtal_staticbox.SetForegroundColour((255,0,0))
        
        self.gnomecrystal = wx.TextCtrl(self.notebook_1_pane_4, -1, "")
        self.Open_gnomecrystal = wx.Button(self.notebook_1_pane_4, -1, "Browse")
        self.sizer_gnomecrystal_staticbox = wx.StaticBox(self.notebook_1_pane_4, -1, "Gnome Crystal")
        self.sizer_gnomecrystal_staticbox.SetForegroundColour((255,0,0))
        
        self.button_1 = wx.Button(self, -1, "OK")
        self.button_2 = wx.Button(self, -1, "Cancel")
        self.sizer_2_staticbox = wx.StaticBox(self, -1, "External programs")
        
        self.__set_properties()
        self.__do_layout()
        # end wxGlade
        self.Bind(wx.EVT_BUTTON, self.ontOk, self.button_1)
        self.Bind(wx.EVT_BUTTON, self.onOpenrasmol, self.Open_rasmol)
        self.Bind(wx.EVT_BUTTON, self.onOpenolex, self.Open_olex)
        self.Bind(wx.EVT_BUTTON, self.onOpenxshell, self.Open_oldxshell)
        self.Bind(wx.EVT_BUTTON, self.onOpenshelxle, self.Open_shelxle)
        self.Bind(wx.EVT_BUTTON, self.onOpencellnow, self.Open_cellnow)
        self.Bind(wx.EVT_BUTTON, self.onOpenxl, self.Open_xl)
        self.Bind(wx.EVT_BUTTON, self.onOpenxh, self.Open_xh)
        self.Bind(wx.EVT_BUTTON, self.onOpenxs, self.Open_xs)
        self.Bind(wx.EVT_BUTTON, self.onOpenxprep, self.Open_xprep)
        self.Bind(wx.EVT_BUTTON, self.onOpenxm, self.Open_xm)
        self.Bind(wx.EVT_BUTTON, self.onOpenxpro, self.Open_xpro)
        self.Bind(wx.EVT_BUTTON, self.onOpenpub, self.Open_publcif)
        self.Bind(wx.EVT_BUTTON, self.onOpenxcif, self.Open_xcif)
        self.Bind(wx.EVT_BUTTON, self.onOpenxshell6, self.Open_xshell6)
        self.Bind(wx.EVT_BUTTON, self.onOpenxp, self.Open_xp)
        self.Bind(wx.EVT_BUTTON, self.onOpensadabs, self.Open_sadabs)
        self.Bind(wx.EVT_BUTTON, self.onOpenplaton, self.Open_platon)
        self.Bind(wx.EVT_BUTTON, self.onOpensir, self.Open_sir)
        self.Bind(wx.EVT_BUTTON, self.onOpenxe, self.Open_xe)
        self.Bind(wx.EVT_BUTTON, self.onOpenxc, self.Open_xc)
        self.Bind(wx.EVT_BUTTON, self.onOpenmercury, self.Open_mercury)
        self.Bind(wx.EVT_BUTTON, self.onOpenavogadro, self.Open_avogadro)
        self.Bind(wx.EVT_BUTTON, self.onOpenpymol, self.Open_pymol)
        self.Bind(wx.EVT_BUTTON, self.onOpencoot, self.Open_coot)
        
        self.Bind(wx.EVT_BUTTON, self.onTwinabs, self.Open_twinabs)
        self.Bind(wx.EVT_BUTTON, self.onDrawxtl, self.Open_drawxtl)
        self.Bind(wx.EVT_BUTTON, self.onJmol, self.Open_jmol)
        self.Bind(wx.EVT_BUTTON, self.onOrtep3, self.Open_ortep3)
        self.Bind(wx.EVT_BUTTON, self.onDiamond, self.Open_diamond)
        self.Bind(wx.EVT_BUTTON, self.onChimera, self.Open_Chimera)
        self.Bind(wx.EVT_BUTTON, self.onSupersadabs, self.Open_supersadabs)
        self.Bind(wx.EVT_BUTTON, self.onDirdif, self.Open_dirdif)
        self.Bind(wx.EVT_BUTTON, self.onenCifer, self.Open_enCifer)
        self.Bind(wx.EVT_BUTTON, self.onXtal, self.Open_xtal)
        self.Bind(wx.EVT_BUTTON, self.onGnomecrystal, self.Open_gnomecrystal)
#        self.Bind(wx.EVT_BUTTON, self.onOpenplaton, self.Open_platon_copy)
        self.Bind(wx.EVT_BUTTON, self.Closeex, self.button_2)
        

    def __set_properties(self):
        # begin wxGlade: cexternal.__set_properties
        self.SetTitle("External Programs")
        self.SetSize((524, 627))
        self.xl.SetMinSize((301, 26))
        self.Open_xl.SetMinSize((85, 26))
        self.xh.SetMinSize((301, 26))
        self.Open_xh.SetMinSize((85, 26))
        self.xs.SetMinSize((301, 26))
        self.Open_xs.SetMinSize((85, 26))
        self.xprep.SetMinSize((301, 26))
        self.Open_xprep.SetMinSize((85, 26))
        self.xm.SetMinSize((301, 26))
        self.Open_xm.SetMinSize((85, 26))
        self.xpro.SetMinSize((301, 26))
        self.Open_xpro.SetMinSize((85, 26))
        self.xp.SetMinSize((301, 26))
        self.Open_xp.SetMinSize((85, 26))
        self.xe.SetMinSize((301, 26))
        self.Open_xe.SetMinSize((85, 26))
        self.platon.SetMinSize((301, 26))
        self.Open_platon.SetMinSize((85, 26))
        self.sir.SetMinSize((301, 26))
        self.Open_sir.SetMinSize((85, 26))
        self.xcif.SetMinSize((301, 26))
        self.Open_xcif.SetMinSize((85, 26))
        self.cellnow.SetMinSize((301, 26))
        self.Open_cellnow.SetMinSize((85, 26))
        self.sadabs.SetMinSize((301, 26))
        self.Open_sadabs.SetMinSize((85, 26))
        self.twinabs.SetMinSize((301, 26))
        self.Open_twinabs.SetMinSize((85, 26))
        self.publcif.SetMinSize((301, 26))
        self.Open_publcif.SetMinSize((85, 26))
        self.xshell5.SetMinSize((301, 26))
        self.Open_oldxshell.SetMinSize((85, 26))
        self.xshell6.SetMinSize((301, 26))
        self.Open_xshell6.SetMinSize((85, 26))
        self.olex.SetMinSize((301, 26))
        self.Open_olex.SetMinSize((85, 26))
        self.xc.SetMinSize((301, 26))
        self.Open_xc.SetMinSize((85, 26))
        self.shelxle.SetMinSize((301, 26))
        self.Open_shelxle.SetMinSize((85, 26))
        self.rasmol.SetMinSize((301, 26))
        self.Open_rasmol.SetMinSize((85, 26))
        self.mercury.SetMinSize((301, 26))
        self.Open_mercury.SetMinSize((85, 26))
        self.pymol.SetMinSize((301, 26))
        self.Open_pymol.SetMinSize((85, 26))
        self.coot.SetMinSize((301, 26))
        self.Open_coot.SetMinSize((85, 26))
        self.avogadro.SetMinSize((301, 26))
        self.Open_avogadro.SetMinSize((85, 26))
        self.drawxtl.SetMinSize((301, 26))
        self.Open_drawxtl.SetMinSize((85, 26))
        self.jmol.SetMinSize((301, 26))
        self.Open_jmol.SetMinSize((85, 26))
        self.ortep3.SetMinSize((301, 26))
        self.Open_ortep3.SetMinSize((85, 26))
        self.diamond.SetMinSize((301, 26))
        self.Open_diamond.SetMinSize((85, 26))
        self.Chimera.SetMinSize((301, 26))
        self.Open_Chimera.SetMinSize((85, 26))
        self.supersadabs.SetMinSize((301, 26))
        self.Open_supersadabs.SetMinSize((85, 26))
        self.dirdif.SetMinSize((301, 26))
        self.Open_dirdif.SetMinSize((85, 26))
        self.enCifer.SetMinSize((301, 26))
        self.Open_enCifer.SetMinSize((85, 26))
        self.xtal.SetMinSize((301, 26))
        self.Open_xtal.SetMinSize((85, 26))
        self.gnomecrystal.SetMinSize((301, 26))
        self.Open_gnomecrystal.SetMinSize((85, 26))
        self.button_1.SetMinSize((85, 35))
        self.button_2.SetMinSize((85, 35))
        self.Centre()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: cexternal.__do_layout
        self.sizer_2_staticbox.Lower()
        sizer_2 = wx.StaticBoxSizer(self.sizer_2_staticbox, wx.VERTICAL)
        sizer_3 = wx.BoxSizer(wx.VERTICAL)
        grid_sizer_1 = wx.GridSizer(1, 3, 0, 0)
        sizer_5_copy_2 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_gnomecrystal_staticbox.Lower()
        sizer_gnomecrystal = wx.StaticBoxSizer(self.sizer_gnomecrystal_staticbox, wx.HORIZONTAL)
        self.sizer_xtal_staticbox.Lower()
        sizer_xtal = wx.StaticBoxSizer(self.sizer_xtal_staticbox, wx.HORIZONTAL)
        self.sizer_encifer_staticbox.Lower()
        sizer_encifer = wx.StaticBoxSizer(self.sizer_encifer_staticbox, wx.HORIZONTAL)
        self.sizer_dirdif_staticbox.Lower()
        sizer_dirdif = wx.StaticBoxSizer(self.sizer_dirdif_staticbox, wx.HORIZONTAL)
        self.sizer_supersadabs_staticbox.Lower()
        sizer_supersadabs = wx.StaticBoxSizer(self.sizer_supersadabs_staticbox, wx.HORIZONTAL)
        self.sizer_Chimera_staticbox.Lower()
        sizer_Chimera = wx.StaticBoxSizer(self.sizer_Chimera_staticbox, wx.HORIZONTAL)
        self.sizer_diamand_staticbox.Lower()
        sizer_diamand = wx.StaticBoxSizer(self.sizer_diamand_staticbox, wx.HORIZONTAL)
        self.sizer_ortep_staticbox.Lower()
        sizer_ortep = wx.StaticBoxSizer(self.sizer_ortep_staticbox, wx.HORIZONTAL)
        sizer_5_copy_1 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_jmol_staticbox.Lower()
        sizer_jmol = wx.StaticBoxSizer(self.sizer_jmol_staticbox, wx.HORIZONTAL)
        self.sizer_drawxtl_staticbox.Lower()
        sizer_drawxtl = wx.StaticBoxSizer(self.sizer_drawxtl_staticbox, wx.HORIZONTAL)
        self.sizer_avogadro_staticbox.Lower()
        sizer_avogadro = wx.StaticBoxSizer(self.sizer_avogadro_staticbox, wx.HORIZONTAL)
        self.sizer_coot_staticbox.Lower()
        sizer_coot = wx.StaticBoxSizer(self.sizer_coot_staticbox, wx.HORIZONTAL)
        self.sizer_pymol_staticbox.Lower()
        sizer_pymol = wx.StaticBoxSizer(self.sizer_pymol_staticbox, wx.HORIZONTAL)
        self.sizer_mercury_staticbox.Lower()
        sizer_mercury = wx.StaticBoxSizer(self.sizer_mercury_staticbox, wx.HORIZONTAL)
        self.sizer_rasmol_staticbox.Lower()
        sizer_rasmol = wx.StaticBoxSizer(self.sizer_rasmol_staticbox, wx.HORIZONTAL)
        self.sizer_shelxle_staticbox.Lower()
        sizer_shelxle = wx.StaticBoxSizer(self.sizer_shelxle_staticbox, wx.HORIZONTAL)
        sizer_5_copy = wx.BoxSizer(wx.VERTICAL)
        self.sizer_xc_staticbox.Lower()
        sizer_xc = wx.StaticBoxSizer(self.sizer_xc_staticbox, wx.HORIZONTAL)
        self.sizer_olex_staticbox.Lower()
        sizer_olex = wx.StaticBoxSizer(self.sizer_olex_staticbox, wx.HORIZONTAL)
        self.sizer_xshell6_staticbox.Lower()
        sizer_xshell6 = wx.StaticBoxSizer(self.sizer_xshell6_staticbox, wx.HORIZONTAL)
        self.sizer_xshell_staticbox.Lower()
        sizer_xshell = wx.StaticBoxSizer(self.sizer_xshell_staticbox, wx.HORIZONTAL)
        self.sizer_publcif_staticbox.Lower()
        sizer_publcif = wx.StaticBoxSizer(self.sizer_publcif_staticbox, wx.HORIZONTAL)
        self.sizer_twinabs_staticbox.Lower()
        sizer_twinabs = wx.StaticBoxSizer(self.sizer_twinabs_staticbox, wx.HORIZONTAL)
        self.sizer_sadabs_staticbox.Lower()
        sizer_sadabs = wx.StaticBoxSizer(self.sizer_sadabs_staticbox, wx.HORIZONTAL)
        self.sizer_cellnow_staticbox.Lower()
        sizer_cellnow = wx.StaticBoxSizer(self.sizer_cellnow_staticbox, wx.HORIZONTAL)
        self.sizer_xcif_staticbox.Lower()
        sizer_xcif = wx.StaticBoxSizer(self.sizer_xcif_staticbox, wx.HORIZONTAL)
        sizer_5 = wx.BoxSizer(wx.VERTICAL)
        self.sizer_sir_staticbox.Lower()
        sizer_sir = wx.StaticBoxSizer(self.sizer_sir_staticbox, wx.HORIZONTAL)
        self.sizer_platon_staticbox.Lower()
        sizer_platon = wx.StaticBoxSizer(self.sizer_platon_staticbox, wx.HORIZONTAL)
        self.sizer_xe_staticbox.Lower()
        sizer_xe = wx.StaticBoxSizer(self.sizer_xe_staticbox, wx.HORIZONTAL)
        self.sizer_xp_staticbox.Lower()
        sizer_xp = wx.StaticBoxSizer(self.sizer_xp_staticbox, wx.HORIZONTAL)
        self.sizer_xpro_staticbox.Lower()
        sizer_xpro = wx.StaticBoxSizer(self.sizer_xpro_staticbox, wx.HORIZONTAL)
        self.sizer_xm_staticbox.Lower()
        sizer_xm = wx.StaticBoxSizer(self.sizer_xm_staticbox, wx.HORIZONTAL)
        self.sizer_xprep_staticbox.Lower()
        sizer_xprep = wx.StaticBoxSizer(self.sizer_xprep_staticbox, wx.HORIZONTAL)
        self.sizer_xs_staticbox.Lower()
        sizer_xs = wx.StaticBoxSizer(self.sizer_xs_staticbox, wx.HORIZONTAL)
        self.sizer_xh_staticbox.Lower()
        sizer_xh = wx.StaticBoxSizer(self.sizer_xh_staticbox, wx.HORIZONTAL)
        self.sizer_xl_staticbox.Lower()
        sizer_xl = wx.StaticBoxSizer(self.sizer_xl_staticbox, wx.HORIZONTAL)
        sizer_xl.Add(self.xl, 4, 0, 0)
        sizer_xl.Add(self.Open_xl, 0, 0, 0)
        sizer_5.Add(sizer_xl, 1, wx.EXPAND, 1)
        sizer_xh.Add(self.xh, 4, 0, 0)
        sizer_xh.Add(self.Open_xh, 0, 0, 0)
        sizer_5.Add(sizer_xh, 1, wx.EXPAND, 0)
        sizer_xs.Add(self.xs, 4, 0, 0)
        sizer_xs.Add(self.Open_xs, 0, 0, 0)
        sizer_5.Add(sizer_xs, 1, wx.EXPAND, 0)
        sizer_xprep.Add(self.xprep, 4, 0, 0)
        sizer_xprep.Add(self.Open_xprep, 0, 0, 0)
        sizer_5.Add(sizer_xprep, 1, wx.EXPAND, 0)
        sizer_xm.Add(self.xm, 4, 0, 0)
        sizer_xm.Add(self.Open_xm, 0, 0, 0)
        sizer_5.Add(sizer_xm, 1, wx.EXPAND, 0)
        sizer_xpro.Add(self.xpro, 4, 0, 0)
        sizer_xpro.Add(self.Open_xpro, 0, 0, 0)
        sizer_5.Add(sizer_xpro, 1, wx.EXPAND, 0)
        sizer_xp.Add(self.xp, 4, 0, 0)
        sizer_xp.Add(self.Open_xp, 0, 0, 0)
        sizer_5.Add(sizer_xp, 1, wx.EXPAND, 0)
        sizer_xe.Add(self.xe, 4, 0, 0)
        sizer_xe.Add(self.Open_xe, 0, 0, 0)
        sizer_5.Add(sizer_xe, 1, wx.EXPAND, 0)
        sizer_platon.Add(self.platon, 4, 0, 0)
        sizer_platon.Add(self.Open_platon, 0, 0, 0)
        sizer_5.Add(sizer_platon, 1, wx.EXPAND, 0)
        sizer_sir.Add(self.sir, 4, 0, 0)
        sizer_sir.Add(self.Open_sir, 0, 0, 0)
        sizer_5.Add(sizer_sir, 1, wx.EXPAND, 0)
        self.notebook_1_pane_1.SetSizer(sizer_5)
        sizer_xcif.Add(self.xcif, 4, 0, 0)
        sizer_xcif.Add(self.Open_xcif, 0, 0, 0)
        sizer_5_copy.Add(sizer_xcif, 1, wx.EXPAND | wx.ALIGN_CENTER_HORIZONTAL, 0)
        sizer_cellnow.Add(self.cellnow, 4, 0, 0)
        sizer_cellnow.Add(self.Open_cellnow, 0, 0, 0)
        sizer_5_copy.Add(sizer_cellnow, 1, wx.EXPAND, 0)
        sizer_sadabs.Add(self.sadabs, 4, 0, 0)
        sizer_sadabs.Add(self.Open_sadabs, 0, 0, 0)
        sizer_5_copy.Add(sizer_sadabs, 1, wx.EXPAND, 0)
        sizer_twinabs.Add(self.twinabs, 4, 0, 0)
        sizer_twinabs.Add(self.Open_twinabs, 0, 0, 0)
        sizer_5_copy.Add(sizer_twinabs, 1, wx.EXPAND, 0)
        sizer_publcif.Add(self.publcif, 4, 0, 0)
        sizer_publcif.Add(self.Open_publcif, 0, 0, 0)
        sizer_5_copy.Add(sizer_publcif, 1, wx.EXPAND, 0)
        sizer_xshell.Add(self.xshell5, 4, 0, 0)
        sizer_xshell.Add(self.Open_oldxshell, 0, 0, 0)
        sizer_5_copy.Add(sizer_xshell, 0, wx.EXPAND, 0)
        sizer_xshell6.Add(self.xshell6, 4, 0, 0)
        sizer_xshell6.Add(self.Open_xshell6, 0, 0, 0)
        sizer_5_copy.Add(sizer_xshell6, 1, wx.EXPAND, 0)
        sizer_olex.Add(self.olex, 4, 0, 0)
        sizer_olex.Add(self.Open_olex, 0, 0, 0)
        sizer_5_copy.Add(sizer_olex, 1, wx.EXPAND, 0)
        sizer_xc.Add(self.xc, 4, 0, 0)
        sizer_xc.Add(self.Open_xc, 0, 0, 0)
        sizer_5_copy.Add(sizer_xc, 1, wx.EXPAND, 0)
        self.notebook_1_pane_2.SetSizer(sizer_5_copy)
        sizer_shelxle.Add(self.shelxle, 4, 0, 0)
        sizer_shelxle.Add(self.Open_shelxle, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_shelxle, 1, wx.EXPAND, 0)
        sizer_rasmol.Add(self.rasmol, 4, 0, 0)
        sizer_rasmol.Add(self.Open_rasmol, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_rasmol, 1, wx.EXPAND, 0)
        sizer_mercury.Add(self.mercury, 4, 0, 0)
        sizer_mercury.Add(self.Open_mercury, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_mercury, 1, wx.EXPAND, 0)
        sizer_pymol.Add(self.pymol, 4, 0, 0)
        sizer_pymol.Add(self.Open_pymol, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_pymol, 1, wx.EXPAND, 0)
        sizer_coot.Add(self.coot, 4, 0, 0)
        sizer_coot.Add(self.Open_coot, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_coot, 1, wx.EXPAND, 0)
        sizer_avogadro.Add(self.avogadro, 4, 0, 0)
        sizer_avogadro.Add(self.Open_avogadro, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_avogadro, 1, wx.EXPAND, 0)
        sizer_drawxtl.Add(self.drawxtl, 4, 0, 0)
        sizer_drawxtl.Add(self.Open_drawxtl, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_drawxtl, 1, wx.EXPAND, 0)
        sizer_jmol.Add(self.jmol, 4, 0, 0)
        sizer_jmol.Add(self.Open_jmol, 0, 0, 0)
        sizer_5_copy_1.Add(sizer_jmol, 1, wx.EXPAND, 0)
        self.notebook_1_pane_3.SetSizer(sizer_5_copy_1)
        sizer_ortep.Add(self.ortep3, 4, 0, 0)
        sizer_ortep.Add(self.Open_ortep3, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_ortep, 1, wx.EXPAND, 0)
        sizer_diamand.Add(self.diamond, 4, 0, 0)
        sizer_diamand.Add(self.Open_diamond, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_diamand, 1, wx.EXPAND, 0)
        sizer_Chimera.Add(self.Chimera, 4, 0, 0)
        sizer_Chimera.Add(self.Open_Chimera, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_Chimera, 1, wx.EXPAND, 0)
        sizer_supersadabs.Add(self.supersadabs, 4, 0, 0)
        sizer_supersadabs.Add(self.Open_supersadabs, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_supersadabs, 1, wx.EXPAND, 0)
        sizer_dirdif.Add(self.dirdif, 4, 0, 0)
        sizer_dirdif.Add(self.Open_dirdif, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_dirdif, 1, wx.EXPAND, 0)
        sizer_encifer.Add(self.enCifer, 4, 0, 0)
        sizer_encifer.Add(self.Open_enCifer, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_encifer, 1, wx.EXPAND, 0)
        sizer_xtal.Add(self.xtal, 4, 0, 0)
        sizer_xtal.Add(self.Open_xtal, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_xtal, 1, wx.EXPAND, 0)
        sizer_gnomecrystal.Add(self.gnomecrystal, 4, 0, 0)
        sizer_gnomecrystal.Add(self.Open_gnomecrystal, 0, 0, 0)
        sizer_5_copy_2.Add(sizer_gnomecrystal, 1, wx.EXPAND, 0)
        self.notebook_1_pane_4.SetSizer(sizer_5_copy_2)
        self.notebook_1.AddPage(self.notebook_1_pane_1, "Programs 1")
        self.notebook_1.AddPage(self.notebook_1_pane_2, "Programs 2")
        self.notebook_1.AddPage(self.notebook_1_pane_3, "Programs 3")
        self.notebook_1.AddPage(self.notebook_1_pane_4, "Programs 4")
        sizer_3.Add(self.notebook_1, 7, wx.EXPAND, 0)
        grid_sizer_1.Add(self.button_1, 0, wx.ALIGN_CENTER_HORIZONTAL | wx.ALIGN_CENTER_VERTICAL, 0)
        grid_sizer_1.Add((100, 34), 0, wx.ALIGN_CENTER_HORIZONTAL | wx.ALIGN_CENTER_VERTICAL, 0)
        grid_sizer_1.Add(self.button_2, 0, wx.ALIGN_CENTER_HORIZONTAL | wx.ALIGN_CENTER_VERTICAL, 0)
        sizer_3.Add(grid_sizer_1, 1, wx.EXPAND, 0)
        sizer_2.Add(sizer_3, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_2)
        self.Layout()
        self.SetBackgroundColour(wx.Colour(234,234,234))
        #self.SetForegroundColour(wx.Colour(0,234,234))
        # end wxGlade
        self.getvalues()
    def getvalues(self):
        exconfig=open(self.path +'/user/external', 'r')
        text=exconfig.readlines()
        print text
        self.xl.SetValue(text[0].replace("\n", ""))
        self.xh.SetValue(text[1].replace("\n", ""))
        self.xs.SetValue(text[2].replace("\n", ""))
        self.xprep.SetValue(text[3].replace("\n", ""))
        self.sir.SetValue(text[4].replace("\n", ""))
        self.xpro.SetValue(text[5].replace("\n", ""))
        self.publcif.SetValue(text[6].replace("\n", ""))
        self.xp.SetValue(text[7].replace("\n", ""))
        self.platon.SetValue(text[8].replace("\n", ""))
        self.xshell5.SetValue(text[9].replace("\n", ""))
        self.xshell6.SetValue(text[10].replace("\n", ""))
        self.shelxle.SetValue(text[11].replace("\n", ""))
        self.rasmol.SetValue(text[12].replace("\n", ""))
        self.olex.SetValue(text[13].replace("\n", ""))
        self.cellnow.SetValue(text[14].replace("\n", ""))
        self.sadabs.SetValue(text[15].replace("\n", ""))
        self.xcif.SetValue(text[16].replace("\n", ""))
        self.mercury.SetValue(text[17].replace("\n", ""))
        self.avogadro.SetValue(text[18].replace("\n", ""))
        self.pymol.SetValue(text[19].replace("\n", ""))
        self.coot.SetValue(text[20].replace("\n", ""))
        
        self.twinabs.SetValue(text[21].replace("\n", ""))
        self.drawxtl.SetValue(text[22].replace("\n", ""))
        self.jmol.SetValue(text[23].replace("\n", ""))
        self.ortep3.SetValue(text[24].replace("\n", ""))
        self.diamond.SetValue(text[25].replace("\n", ""))
        self.Chimera.SetValue(text[26].replace("\n", ""))
        self.supersadabs.SetValue(text[27].replace("\n", ""))
        self.dirdif.SetValue(text[28].replace("\n", ""))
        self.enCifer.SetValue(text[29].replace("\n", ""))
        self.xtal.SetValue(text[30].replace("\n", ""))
        self.gnomecrystal.SetValue(text[31].replace("\n", ""))
        self.xm.SetValue(text[32].replace("\n", ""))
        self.xe.SetValue(text[33].replace("\n", ""))
        self.xc.SetValue(text[34].replace("\n", ""))
    def onOpenxl(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path, "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=dirname+"/"+fname
            print fnamefull
            self.xl.SetValue(fnamefull)
    def ontOk(self, event):
                list=[]
                xl=self.xl
                xh=self.xh
                xs=self.xs
                xprep=self.xprep
                xm=self.xm
                xpro=self.xpro
                pub=self.publcif
                xp=self.xp
                platon=self.platon
                xm=self.xm
                xe=self.xe
                xc=self.xc
                sir=self.sir
                xshell=self.xshell5
                xshell6=self.xshell6
                shelxle=self.shelxle
                rasmol=self.rasmol
                olex=self.olex
                cellnow=self.cellnow
                sadabs=self.sadabs
                xcif=self.xcif
                mercury=self.mercury
                avogadro=self.avogadro
                pymol=self.pymol
                coot=self.coot
                
                twinabs=self.twinabs
                drawxtl=self.drawxtl
                jmol=self.jmol
                ortep3=self.ortep3
                diamand=self.diamond
                Chimera=self.Chimera
                supersadabs=self.supersadabs
                dirdif=self.dirdif
                enCifer=self.enCifer
                xtal=self.xtal
                gnomecrystal=self.gnomecrystal
               
#                mercury=self.mercury_text.GetValue()
#                vars=["xl","xh","xs","xprep","sir","xpro","pub","xp","platon",
#                "xshell","xshell6","shelxle","rasmol","olex",
#                "cellnow","sadabs","xcif"]
                list.append(xl.GetValue()+"\n")
                list.append(xh.GetValue()+"\n")
                list.append(xs.GetValue()+"\n")
                list.append(xprep.GetValue()+"\n")
                list.append(sir.GetValue()+"\n")
                list.append(xpro.GetValue()+"\n")
                list.append(pub.GetValue()+"\n")
                list.append(xp.GetValue()+"\n")
                list.append(platon.GetValue()+"\n")
                list.append(xshell.GetValue()+"\n")
                list.append(xshell6.GetValue()+"\n")
                list.append(shelxle.GetValue()+"\n")
                list.append(rasmol.GetValue()+"\n")
                list.append(olex.GetValue()+"\n")
                list.append(cellnow.GetValue()+"\n")
                list.append(sadabs.GetValue()+"\n")
                list.append(xcif.GetValue()+"\n")
                list.append(mercury.GetValue()+"\n")
                list.append(avogadro.GetValue()+"\n")
                list.append(pymol.GetValue()+"\n")
                list.append(coot.GetValue()+"\n")
                
                list.append(twinabs.GetValue()+"\n")
                list.append(drawxtl.GetValue()+"\n")
                list.append(jmol.GetValue()+"\n")
                list.append(ortep3.GetValue()+"\n")
                list.append(diamand.GetValue()+"\n")
                list.append(Chimera.GetValue()+"\n")
                list.append(supersadabs.GetValue()+"\n")
                list.append(dirdif.GetValue()+"\n")
                list.append(enCifer.GetValue()+"\n")
                list.append(xtal.GetValue()+"\n")
                list.append(gnomecrystal.GetValue()+"\n")
                list.append(xm.GetValue()+"\n")
                list.append(xe.GetValue()+"\n")
                list.append(xc.GetValue()+"\n")
                print "xm, xc, xe                      ", xm.GetValue(), xe.GetValue(), xc.GetValue()
                list.append("\n"*20)
               
                print list
                exconfig=open(self.path +'/user/external', 'w')
                exconfig.writelines(list)
                exconfig.close()
                dlg = wx.MessageDialog(self, "LinXTL has to be restarted for changes to take place"   ,
                                'Info', wx.OK | wx.ICON_INFORMATION)
                dlg.ShowModal()
                dlg.Destroy() 
                self.Destroy()
           
        
    def onOpenxh(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xh.SetValue(fnamefull)
    def onOpenxs(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xs.SetValue(fnamefull)
         
    def onOpenxprep(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xprep.SetValue(fnamefull)

    def onOpenxm(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xm.SetValue(fnamefull)
    def onOpenxpro(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xpro.SetValue(fnamefull)
            
    def onOpenpub(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.publcif.SetValue(fnamefull)
    def onOpenxp(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xp.SetValue(fnamefull)

    def onOpenplaton(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.platon.SetValue(fnamefull)
    def onOpensir(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.sir.SetValue(fnamefull)
    def onOpenxe(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xe.SetValue(fnamefull)
    def onOpenxc(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xc.SetValue(fnamefull)
    def onOpenxshell(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xshell5.SetValue(fnamefull)

    def onOpenxshell6(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xshell6.SetValue(fnamefull)

    def onOpenshelxle(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.shelxle.SetValue(fnamefull)
    def onOpenrasmol(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.rasmol.SetValue(fnamefull)
    def onOpenolex(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.olex.SetValue(fnamefull)
    def onOpencellnow(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.cellnow.SetValue(fnamefull)
    def onOpensadabs(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.sadabs.SetValue(fnamefull)
    def onOpenxcif(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xcif.SetValue(fnamefull)
    def onOpenmercury(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.mercury.SetValue(fnamefull)
    def onOpenavogadro(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.avogadro.SetValue(fnamefull)
    def onOpenpymol(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.pymol.SetValue(fnamefull)
    def onOpencoot(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.coot.SetValue(fnamefull)
            
    def  onTwinabs(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.twinabs.SetValue(fnamefull)
    def  onDrawxtl(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.drawxtl.SetValue(fnamefull)
    def  onJmol(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.jmol.SetValue(fnamefull)
    def  onOrtep3(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.ortep3.SetValue(fnamefull)
    def  onDiamond(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.diamond.SetValue(fnamefull)
    def  onChimera(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.Chimera.SetValue(fnamefull)
    def  onSupersadabs(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.supersadabs.SetValue(fnamefull)
    def  onDirdif(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.dirdif.SetValue(fnamefull)
    def  onenCifer(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.enCifer.SetValue(fnamefull)
    def  onXtal(self, event):
        print "xtal"
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.xtal.SetValue(fnamefull)
    def  onGnomecrystal(self, event):
        dlg = wx.FileDialog(self, "Choose a file", self.path+"/bin", "", "*",  wx.OPEN)
        if dlg.ShowModal() == wx.ID_OK:
            dirname=dlg.GetDirectory()
            fname=dlg.GetFilename()
            print "fname", fname
            fnamefull=os.path.join(dirname,fname)
            print fnamefull
            self.gnomecrystal.SetValue(fnamefull)
          ###############################################################
    def Closeex(self, event):
        self.Destroy()
# end of class cexternal
if __name__ == "__main__":
    app = wx.PySimpleApp(0)
    wx.InitAllImageHandlers()
    external  =  cexternal(None, -1, "")
    app.SetTopWindow(external)
    external.Show()
    app.MainLoop()
